Get user subscriptions
GET
https://squid.livepush.io/account/subscriptions
Base URL https://squid.livepush.io — Accounts API server
Returns a list of active and historical subscriptions associated with the authenticated user account.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
GET
https://squid.livepush.io/account/subscriptions
— This call only reads data.
Code samples
curl -X GET 'https://squid.livepush.io/account/subscriptions' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://squid.livepush.io/account/subscriptions', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
}
response = requests.get('https://squid.livepush.io/account/subscriptions', headers=headers, timeout=30)
response.raise_for_status()
data = response.json()
Responses
List of account subscriptions
Array of object.
-
idstring -
categorystring -
startTimestring<date-time> -
endTimestring<date-time> -
updatedAtstring<date-time> -
planobject-
idstring -
namestring -
categorystring -
descriptionstring -
costnumber -
planDurationinteger -
isPublicboolean -
featuresobject[]3 nested fields
-
keystring -
valuenumber | string -
categorystring
-
-
grantsobject
-
[
{
"id": "AzyzaQV4rbNdSXKQ",
"category": "simulcast",
"startTime": "2026-01-31T09:00:00.000Z",
"endTime": "2026-01-31T09:00:00.000Z",
"updatedAt": "2026-01-31T09:00:00.000Z",
"plan": {
"id": "plan_editors_monthly",
"name": "Editors Plan",
"category": "simulcast",
"description": "Best for broadcasters and media teams",
"cost": 39,
"planDuration": 30,
"isPublic": true,
"features": [
{
"key": "destinations",
"value": 0,
"category": "simulcast"
}
],
"grants": {}
}
}
]
Unauthorized